public inbox for gcc-cvs@sourceware.org
help / color / mirror / Atom feed
* [gcc(refs/vendors/microsoft/heads/main)] Add error checking to checkout-refs-error-checking.sh.
@ 2022-07-29 22:38 Eugene Rozenfeld
  0 siblings, 0 replies; only message in thread
From: Eugene Rozenfeld @ 2022-07-29 22:38 UTC (permalink / raw)
  To: gcc-cvs

https://gcc.gnu.org/g:92f7dead8e3a6c208ed1e9b002a80634e2ed021c

commit 92f7dead8e3a6c208ed1e9b002a80634e2ed021c
Author: Eugene Rozenfeld <erozen@microsoft.com>
Date:   Fri Jul 29 15:07:53 2022 -0700

    Add error checking to checkout-refs-error-checking.sh.

Diff:
---
 .github/scripts/checkout-refs.sh | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

diff --git a/.github/scripts/checkout-refs.sh b/.github/scripts/checkout-refs.sh
index 6a183bea770..bdbdf829e40 100755
--- a/.github/scripts/checkout-refs.sh
+++ b/.github/scripts/checkout-refs.sh
@@ -24,5 +24,19 @@
 # SOFTWARE.
 
 git checkout $1 -f
+exit_code=$?
+if [ $exit_code != 0 ]; then
+    exit $exit_code
+fi
+
 git fetch origin +refs/pull/*:refs/remotes/origin/refs/pull/*
-git checkout $2 -- .github/
\ No newline at end of file
+exit_code=$?
+if [ $exit_code != 0 ]; then
+    exit $exit_code
+fi
+
+git checkout $2 -- .github/
+exit_code=$?
+if [ $exit_code != 0 ]; then
+    exit $exit_code
+fi
\ No newline at end of file


^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2022-07-29 22:38 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2022-07-29 22:38 [gcc(refs/vendors/microsoft/heads/main)] Add error checking to checkout-refs-error-checking.sh Eugene Rozenfeld

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).